NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Features.OffsetMoveCurveBuilder Class Reference

Represents a NXOpen.Features.OffsetMoveCurve builder More...

Inheritance diagram for NXOpen.Features.OffsetMoveCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void ReverseOffsetDirectionOfLoop (NXOpen.NXObject objectInLoop)
 This function reverses the offset direction of the loop containing the input curve More...
 
unsafe void AddCurveSenseToMap (NXOpen.NXObject curve, int curveSense)
 This function add the selected curve and its sense into the curve_sense_map when select a new curve More...
 
unsafe void RemoveCurveSenseFromMap (NXOpen.NXObject curve)
 This function remove a curve and its sense from the curve_sense_map when deselect a curve More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.Features.CurveFinderBuilder 
CurveFinder [get]
 Returns the curve finder More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the offset distance More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe bool KeepOrthogonal [get, set]
 Returns or sets a value that indicates whether keep orthogonal is enabled More...
 
unsafe int KeepTangent [get, set]
 Returns or sets a value that indicates which keep tangent support is selected More...
 
unsafe bool ReverseOffsetDirection [get, set]
 Returns or sets the reverse offset direction More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Detailed Description

Represents a NXOpen.Features.OffsetMoveCurve builder

To create a new instance of this class, use NXOpen.Features.SynchronousCurveCollection.CreateOffsetMoveCurveBuilder

Default values.

Property Value

CurveFinder.ChamferEnabled

0

CurveFinder.CoincidentVertex2dComponentEnabled

0

CurveFinder.CoincidentVertexEnabled

0

CurveFinder.CoincidentVertexSketchGroupEnabled

0

CurveFinder.Collinear2dComponentEnabled

0

CurveFinder.CollinearEnabled

0

CurveFinder.CollinearSketchGroupEnabled

0

CurveFinder.Concentric2dComponentEnabled

0

CurveFinder.ConcentricEnabled

0

CurveFinder.ConcentricSketchGroupEnabled

0

CurveFinder.EqualRadius2dComponentEnabled

0

CurveFinder.EqualRadiusEnabled

0

CurveFinder.EqualRadiusSketchGroupEnabled

0

CurveFinder.Offset2dComponentEnabled

0

CurveFinder.OffsetEnabled

0

CurveFinder.OffsetSketchGroupEnabled

0

CurveFinder.Parallel2dComponentEnabled

0

CurveFinder.ParallelEnabled

0

CurveFinder.ParallelSketchGroupEnabled

0

CurveFinder.SymmetricEnabled

0

CurveFinder.Tangent2dComponentEnabled

0

CurveFinder.TangentEnabled

0

CurveFinder.TangentSketchGroupEnabled

0

CurveFinder.UseCurveFinder

1

CurveFinder.VertexOnCurve2dComponentEnabled

0

CurveFinder.VertexOnCurveEnabled

0

CurveFinder.VertexOnCurveSketchGroupEnabled

0

Distance.Value

0 (millimeters part), 0 (inches part)

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.Features.OffsetMoveCurveBuilder.AddCurveSenseToMap ( NXOpen.NXObject  curve,
int  curveSense 
)

This function add the selected curve and its sense into the curve_sense_map when select a new curve

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curveA new selected curve
curveSenseThe sense of the selected curve
unsafe void NXOpen.Features.OffsetMoveCurveBuilder.RemoveCurveSenseFromMap ( NXOpen.NXObject  curve)

This function remove a curve and its sense from the curve_sense_map when deselect a curve

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curveA removed curve
unsafe void NXOpen.Features.OffsetMoveCurveBuilder.ReverseOffsetDirectionOfLoop ( NXOpen.NXObject  objectInLoop)

This function reverses the offset direction of the loop containing the input curve

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
objectInLoopA curve in loop to reverse

Property Documentation

unsafe NXOpen.Features.CurveFinderBuilder NXOpen.Features.OffsetMoveCurveBuilder.CurveFinder
get

Returns the curve finder

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.OffsetMoveCurveBuilder.Distance
get

Returns the offset distance

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Features.OffsetMoveCurveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.OffsetMoveCurveBuilder.KeepOrthogonal
getset

Returns or sets a value that indicates whether keep orthogonal is enabled

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.OffsetMoveCurveBuilder.KeepTangent
getset

Returns or sets a value that indicates which keep tangent support is selected

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.OffsetMoveCurveBuilder.ReverseOffsetDirection
getset

Returns or sets the reverse offset direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.